Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.searchengine.service
Interface SearchEngineHandle

All Known Subinterfaces:
  SearchEngineService

All Known Implementing Classes:
  LiveSearchEngineHandle, LiveSearchEngineService, SimulatedSearchEngineHandle, SimulatedSearchEngineService

    public interface SearchEngineHandle

Handle to access a search engine's services.
Available operations are list and add, but removal is prohibited for security reasons.

Since:
  2007-03-21
Author:
  Xavier Dalem
See Also:
  `SearchEngineResponse`

Method Summary
`void` | `add(ExternalPeerHandle handle)` Adds a handle to this SearchEngine.
`SearchEngineResponse` | `getHandles()` Gets all handles that this engine currently knows.
`SearchEngineResponse` | `getHandles(long since)` Gets handles newer than a specified time.
`java.lang.String` | `id()` Returns this engine's ID.

Method Detail

### id

    java.lang.String id()

  Returns this engine's ID.

### getHandles

    SearchEngineResponse getHandles()
                                    throws GridException

  Gets all handles that this engine currently knows.

  Returns:
    A structured list of handles
  Throws:
    `GridException`

### getHandles

    SearchEngineResponse getHandles(long since)
                                    throws GridException

  Gets handles newer than a specified time.

  Parameters:
    `since` - Timestamp of the last response
  Returns:
    A structured list of handles
  Throws:
    `GridException`

### add

    void add(ExternalPeerHandle handle)
             throws GridException

  Adds a handle to this SearchEngine. The handle's state will be checked before addition.

  Parameters:
    `handle` - The handle to add
  Throws:
    `GridException` - If the handle is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.